Page MenuHomeFreeBSD

Properly reset fields in clean_unrhdr.
ClosedPublic

Authored by mjoras on Oct 13 2017, 5:17 PM.

Details

Reviewers
rstone
Summary

In r324542 I neglected to reset the first and last fields of struct
unrhdr. This causes a tmpfs to fail the unr(9) consistency checks with
DIAGNOSTIC on. Fix this by resetting the fields to be as if init_unrhdr
was called.

Test Plan

Tested using a tmpfs with an extracted ports tree, unmounted with DIAGNOSTIC
on.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 12053
Build 12360: arc lint + arc unit

Event Timeline

mjoras created this revision.Oct 13 2017, 5:17 PM
mjoras updated this revision to Diff 33970.Oct 13 2017, 8:30 PM
  • use init_unrhdr instead of duplicating it
mjoras updated this revision to Diff 33999.Oct 14 2017, 11:58 PM
  • Might as well use TAILQ_FOREACH_SAFE while we are here.
rstone accepted this revision.Oct 16 2017, 3:40 PM
This revision is now accepted and ready to land.Oct 16 2017, 3:40 PM
mjoras closed this revision.Oct 16 2017, 4:23 PM